package bzh.billos.games.omgb.game.engine.characters;

import bzh.billos.games.omgb.game.engine.Case;
import bzh.billos.games.omgb.game.engine.actions.Moving;
import bzh.billos.games.omgb.game.engine.actions.MyDrawable;


public abstract class Character implements Moving, MyDrawable {

	protected Case[][] map;
	protected Case position;
	
	@Override
	public void move(int x, int y){
		if(x >= -1 && x <= +1 && y >= -1 && y <= +1){
			Case newCase = Case.getNeighborCase(map, position.getX(), position.getY(), x, y);
			if(newCase != null && !newCase.containsSomething()){
				position.removeCharacter();
				newCase.setCharacter(this);
				position = newCase;
			}
		}
	}
	
	public void setCase(Case c){
		this.position = c;
	}
	
	
	
	public Character(Case[][] map){
		this.map = map;
	}
	
}
