package bzh.billos.games.omgb.game.engine.characters;

import org.newdawn.slick.Graphics;
import org.newdawn.slick.Image;

import bzh.billos.games.omgb.game.engine.Case;
import bzh.billos.games.omgb.game.engine.CaseType;
import bzh.billos.games.omgb.game.states.InGameState;
import bzh.billos.games.omgb.util.ImageCache;


public class Fish extends Character {

	private InGameState game;
	
	public Fish(Case[][] map, InGameState game) {
		super(map);
		this.game = game;
	}

	@Override
	public void draw(Graphics g) {
	}

	@Override
	public void draw(Graphics g, Case c) {
		int x = c.getX() + c.getWidth()/4;
		int y = c.getY() + c.getHeight()/4;
		int width = c.getWidth()/2;
		int height = c.getWidth()/2;
		
		Image img = ImageCache.imgFish;
		g.drawImage(img, x, y, x+width,y+height, 0, 0, img.getWidth(), img.getHeight(), Case.seaColor);
	}

	@Override
	public void move(int x, int y) {
		Case newCase = Case.getNeighborCase(map, position.getX(), position.getY(), x, y);
		if(newCase != null && !newCase.containsSomething() && newCase.getType() == CaseType.SEA){
			super.move(x,y);
		}
	}
	
	public void kill(Bird b){
		this.game.finish();
	}
	
}
