package bzh.billos.games.omgb.game.states;

import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.state.BasicGameState;
import org.newdawn.slick.state.StateBasedGame;

import bzh.billos.games.omgb.Launcher;
import bzh.billos.games.omgb.game.OMGBGame;
import bzh.billos.games.omgb.util.GameDictionnary;
import bzh.billos.games.omgb.util.ImageCache;


public class LaunchState extends BasicGameState {

	private static final int id = 2;
	private OMGBGame container;
	
	public LaunchState(OMGBGame container) {
		this.container = container;
	}
	
	@Override
	public void init(GameContainer container, StateBasedGame state) throws SlickException {
	}


	@Override
	public void render(GameContainer container, StateBasedGame state, Graphics graphics) throws SlickException {
		// Draw rules
		graphics.drawString(GameDictionnary.getInstance().get("rulesGoal"), 100, 100);
		graphics.drawString(GameDictionnary.getInstance().get("rulesMove"), 100, 150);
		graphics.drawString(GameDictionnary.getInstance().get("rulesPause"), 100, 200);
		// load images
		if(!ImageCache.loaded){
			ImageCache.getCache();
		} else {
			// draw ready
			graphics.drawString(GameDictionnary.getInstance().get("ready"), Launcher.X_SIZE/2, Launcher.Y_SIZE/2);
		}
	}

	@Override
	public void update(GameContainer container, StateBasedGame state, int delta) throws SlickException {
	}

	@Override
	public int getID() {
		return id;
	}
	
	@Override
	public void keyPressed(int key, char c) {
		if(key == 28 && ImageCache.loaded){
			InGameState igs = new InGameState();
			container.addState(igs);
			container.enterState(igs.getID());
		}
	}


}
