package bzh.billos.games.omgb.util;

import java.util.HashMap;

public class GameDictionnary {
	
	/**
	 * static Singleton instance
	 */
	private static GameDictionnary instance;

	/**
	 * Private constructor for singleton
	 */
	private GameDictionnary() {
		init();
	}

	/**
	 * Static getter method for retrieving the singleton instance
	 */
	public static GameDictionnary getInstance() {
		if (instance == null) {
			instance = new GameDictionnary();
		}
		return instance;
	}
	
	
	
	
	
	private Language defaultLanguage = Language.EN;
	private HashMap<Language, HashMap<String,String>> dictionnary;
	
	private void init(){
		this.dictionnary = new HashMap<Language,HashMap<String,String>>();
		
		for(Language l : Language.values()){
			this.dictionnary.put(l, new HashMap<String,String>());
		}
		
		this.set(Language.EN, "gameTitle","OMAGAD BIRDS !!! : GLOUP : TO THE INFINITE !");
		this.set(Language.FR, "gameTitle","OMAGAD BIRDS !!! : GLOUP : TO THE INFINITE !");
		this.set(Language.EN, "score","Score: ");
		this.set(Language.FR, "score","Score : ");
		this.set(Language.EN, "lost","LOST !!!");
		this.set(Language.FR, "lost","PERDU !!!");
		this.set(Language.EN, "ready","enter - start the game");
		this.set(Language.FR, "ready","entrer - dmarrer la partie");
		
		this.set(Language.EN, "rulesMove","WASD - Moving the fish");
		this.set(Language.FR, "rulesMove","ZQSD - Dplacer le poisson");
		this.set(Language.EN, "rulesPause","P - Set/unset the pause");
		this.set(Language.FR, "rulesPause","P - Active/dsactive la pause");
		this.set(Language.EN, "rulesGoal","Avoid the birds");
		this.set(Language.FR, "rulesGoal","Evitez les oiseaux");
		this.set(Language.EN, "rulesPlus","+ - Add a bird");
		this.set(Language.FR, "rulesPlus","+ - Ajouter un oiseau");
		
	}
	
	private boolean set(Language language, String key, String value){
		try{
			HashMap<String,String> hm = this.dictionnary.get(language);
			hm.put(key, value);
		} catch(Exception e){
			return false;
		}
		return true;
	}
	
	
	public String get(Language language, String key){
		HashMap<String,String> hm = this.dictionnary.get(language);
		return hm.get(key);
	}
	public String get(String key){
		HashMap<String,String> hm = this.dictionnary.get(defaultLanguage);
		return hm.get(key);
	}
	
}
